<?php
include_once 'config.php';
$mesa = $_GET["mesa"];
$camarero = $_GET["camarero"];
$id = $_GET["id"];






   $sql0 = mysql_query("select * from ventas where ticket='$mesa' and estado='Abierta'") or die(mysql_error());

if(mysql_num_rows($sql0)<=0){
	   mysql_query("insert into ventas set fecha='$hoy',
	   	hora='$ahora',
	   	estado='Abierta',
	   	mesa=1,
	   	ticket='$mesa',
	   	total='".$_GET['total']."',
	   	camarero='$camarero'") or die(mysql_error());
}

  $sql00 = mysql_query("select * from ventas where ticket='$mesa' and estado='Abierta' order by id_venta desc limit 1") or die(mysql_error());
 
 $id_venta = mysql_result($sql00, 0, "id_venta");
 $usuario = mysql_result($sql00, 0, "usuario");

  $sql001 = mysql_query("select * from detalle_comanda where comanda='$id' and estado_comanda!='enviada'") or die(mysql_error());
  while($r4 = mysql_fetch_array($sql001)){
  	$codigo = $r4["codigo"];
  	$descripcion = $r4["descripcion"];
  	$cantidad = $r4["cantidad"];
  	$costo = $r4["costo"];
  	$precio = $r4["precio"];
  	$total_costo = $r4["total_costo"];
  	$total_precio = $r4["total_precio"];


  		mysql_query("insert detalle_venta set codigo='$codigo',
  			descripcion='$descripcion', 
  			cantidad='$cantidad',
  			costo='$costo',
  			precio='$precio',
  			total_costo='$total_costo',
  			total_precio='$total_precio',
  			fecha='$hoy',
  			mesa='$mesa',
  			camarero='$camarero',
  			comanda='$comanda',
  			id_venta='$id_venta',
  			folio='$id_venta',
  			usuario='$usuario'
  			") or die(mysql_error());
	
  }
	mysql_query("update comandas set estado='enviada' where id_comanda='$id'") or die(mysql_error());
	mysql_query("update detalle_comanda set estado_comanda='enviada' where comanda='$id'") or die(mysql_error());
	echo 1;

?>
